
%ext ck1
%version 1.31

# The title bitmap will be shown at offset 0,0 
%patch $97B2   $00 $00     # Y location, in pixels 
%patch $97B6   $04 $00     # (X location in pixels) / 8 + 4

#Tile info patching script for Keen 1
%patchfile 0x130F8 xky1lev.tli

#Start with the pogo stick
%patch $900E  $01 $00 

# About ID Screen:
%patch 0x00015f80 "Xky Rauh is a long-time Commander "
%patch 0x00015fa8 "Keen fan whose goal with this mod"
%patch 0x00015fd0 "was to uphold the spirit and  "
%patch 0x00015ff8 "fun of the original."
%patch 0x00016020 "This effort was only possible   "
%patch 0x00016048 "with support from people like Andy "
%patch 0x00016070 "Durdin and the many Keen  "
%patch 0x00016098 "fans at Keen:Modding. "
%patch 0x000160c0 "Thank you in advance for your"
%patch 0x000160e8 "interest in my work, and being so"
%patch 0x00016110 "patient for its release! "

#the OrderInfo screen... hack hack hack
%patch 0x0001633c "Episodes"
%patch 0x00016344 0x0A 0x00
%patch 0x00016346 "X, Null, & Dash!"
%patch 0x00016392 "They are fan-made mods   "
%patch 0x000163ab 0x0A 0x00
%patch 0x000163ad "designed to emulate what "
%patch 0x000163c6 0x0A 0x00
%patch 0x000163c8 "might happen in Commander"
%patch 0x000163e1 0x0A 0x00
%patch 0x000163e4 "Keen's future adventures.  They can  "
%patch 0x00016409 0x0A 0x00
%patch 0x0001640b "all be downloaded from Keen:Modding, "
%patch 0x00016430 0x0A 0x00
%patch 0x00016432 "Spatang.com, or KeenRush's KeenGrid! "
%patch 0x00016457 0x0A 0x00
%patch 0x00016459 "We may never see a TRUE conclusion,"
%patch 0x0001647c 0x0A 0x00
%patch 0x0001647e "    but Modding is still fun!"
%patch 0x0001649b 0x0A 0x0A 0x00                

#Check out spatang...
%patch 0x000164b3 " Visit us online:"
%patch 0x000164c4 0x0A 0x00
%patch 0x000164c6 "(a 56k or cable          Lots of mods,"
%patch 0x000164ec 0x0A 0x00
%patch 0x000164ee " modem both work        utilities and"
%patch 0x00016514 0x0A 0x00
%patch 0x00016516 " just as well.)         fun downloads!  "
%patch 0x0001653e 0x0A 0x0A 0x0A 0x00
%patch 0x00016542 "http://www.spatang.com/ck  for all your "
%patch 0x0001656a 0x0A 0x00
%patch 0x0001656b "  Commander Keen needs--Check it out!   "
%patch 0x00016599 0x0A 0x00

#Title Screen's Menu Options
#wonderful--i've got to shift everything back a hex to fit my name... *laugh*
%patch 0x00015ef6 "Restore Game"
%patch 0x00015f02 0x0A 0x00 0x20 0x20 0x20 0x20 "Story" 0x0A 0x00 0x20 0x20 0x20 "About Xky"
%patch 0x00015f22 "The Keenest"
%patch 0x00015f32 "XkyKeen 1 2 3"
%patch 0x00015f44 "Old Stuff"
%patch 0x00015f52 "Title Screen"



# Status Screen Changes... leaves 227 spare bytes at CS:10D1, leaves 164 spare bytes at DS:1E02 ($14E52) 

# Patch in the long-integer drawing function 
%patch $11B4                   $55 $89 $E5 $B8 $0A $00 $50 $B8 $90 $82 $50 $FF 
               $76 $06 $FF $76 $04 $E8 $03 $C2 $83 $C4 $08 $B8 $90 $82 $50 $E8 
               $A5 $C5 $44 $44 $8B $56 $08 $29 $C2 $89 $16 $82 $82 $8B $46 $0A 
               $A3 $F8 $82 $B8 $90 $82 $50 $E8 $E8 $50 $44 $44 $89 $EC $5D $C3 

# Patch in the name of the status dialog text file 
%patch $13084  "STATUS.CK1" $00 

# Patch in the code to draw the status text (coordinates are measure in characters--8 pixel blocks) 
%patch $0E6A                                           $B8 $00 $3D $BA $34 $00   # Show status window (0E6A) 
               $CD $21 $89 $C3 $BF $27 $00 $C6 $06 $9A $82 $00 $B9 $0A $00 $BA 
               $90 $82 $B4 $3F $CD $21 $53 $B8 $90 $82 $50 $E8 $2E $97 $44 $44 
               $5B $4F $75 $E8 $B4 $3E $CD $21 
                                               $8B $46 $FE $05 $01 $00 $50 $89   # Show score (0E98) 
               $F0 $05 $0A $00 $50 $FF $36 $CC $AA $FF $36 $CA $AA $E8 $04 $03 
               $83 $C4 $08 
                           $8B $46 $FE $05 $01 $00 $50 $89 $F0 $05 $1A $00 $50   # Show extra Keen score (0EB3) 
               $A1 $C4 $6E $8B $16 $C2 $6E $81 $C2 $20 $4E $15 $00 $00 $50 $52 
               $E8 $E1 $02 $83 $C4 $08 
                                       $31 $FF $3B $3E $C6 $AA $7D $29 $83 $FF   # Show Keens (0ED6) 
               $06 $7D $24 $B8 $00 $00 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 
               $E0 $90 $90 $50 $89 $F8 $D1 $E0 $05 $01 $00 $01 $F0 $50 $E8 $2C 
               $AC $83 $C4 $06 $47 $EB $D1 
%patch $0F07                               $B8 $9F $01 $83 $3E $94 $AA $00 $74   # Draw the joystick 
               $03 $B8 $C0 $01 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $10 $00 $50 $E8 $0D $AA $83 $C4 $06 
                                                                           $B8   # Draw the battery 
               $9F $01 $83 $3E $9C $AA $00 $74 $03 $B8 $C1 $01 $50 $8B $46 $FE 
               $05 $03 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $13 $00 
               $50 $E8 $E5 $A9 $83 $C4 $06 
                                           $B8 $9F $01 $83 $3E $96 $AA $00 $74   # Draw the vacuum 
               $03 $B8 $C2 $01 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $16 $00 $50 $E8 $BD $A9 $83 $C4 $06 
                                                                           $B8   # Draw the whiskey 
               $9F $01 $83 $3E $98 $AA $00 $74 $03 $B8 $C3 $01 $50 $8B $46 $FE 
               $05 $03 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $19 $00 
               $50 $E8 $95 $A9 $83 $C4 $06 
%patch $0FA7                               $B8 $9F $01 $83 $3E $9E $AA $00 $74   # Keycard A 
               $03 $B8 $A8 $01 $50 $8B $46 $FE $05 $07 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $6D $A9 $83 $C4 $06 
                                                                           $B8   # Keycard B 
               $9F $01 $83 $3E $A0 $AA $00 $74 $03 $B8 $A9 $01 $50 $8B $46 $FE 
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00 
               $50 $E8 $45 $A9 $83 $C4 $06 
                                           $B8 $9F $01 $83 $3E $A2 $AA $00 $74   # Keycard C 
               $03 $B8 $AA $01 $50 $8B $46 $FE $05 $09 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $1D $A9 $83 $C4 $06 
                                                                           $B8   # Keycard D 
               $9F $01 $83 $3E $A4 $AA $00 $74 $03 $B8 $AB $01 $50 $8B $46 $FE 
               $05 $09 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00 
               $50 $E8 $F5 $A8 $83 $C4 $06 
%patch $1047                               $B8 $9F $01 $83 $3E $9A $AA $00 $74   # Pogo stick 
               $03 $B8 $9F $01 $50 $8B $46 $FE $05 $08 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $0B $00 $50 $E8 $CD $A8 $83 $C4 $06 
                                                                           $8B   # Draw ammo 
               $46 $FE $05 $0B $00 $50 $89 $F0 $05 $06 $00 $50 $31 $C0 $50 $FF 
               $36 $C8 $AA $E8 $2E $01 $83 $C4 $08 
                                                   $B8 $9F $01 $50 $8B $46 $FE   # Draw raygun (replace first two bytes 
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $03 $00   # with $EB $1C if you don't want to 
               $50 $E8 $95 $A8 $83 $C4 $06                                       # draw the raygun on the status screen) 

                                           $E8 $90 $4B $31 $C0 $50 $E8 $1E $AD   # Wait for a key, then return 
               $44 $44 $E8 $81 $A6 $E8 $D1 $F1 $E8 $CE $F1 $E8 $7C $4B $8B $46 
               $FC $8B $56 $FA $89 $16 $35 $51 $A3 $37 $51 $5F $5E $89 $EC $5D 
               $C3 


%end
